<?php

/*
 * @package RS-MINI
 * @copyright (c) 2015 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

namespace core;

if(!defined('RS-MINI')) die();

/*
 * application v 1.0
 * 
 * Класс стартует систему
 *
 */

class application
{

    /*
     * объект дома
     *
     * @var         - object
     * @access      - private
     */
    
    private static $dom;

    /*
     * главный метод. запуск системы
     * 
     * @access  - public
     * 
     */
     
    public static function run()
    {
        // объект прослойка между контроллерами и вьюшкой
        self::$dom = new \core\dom();
        
        // тест
        // создаем узел testNode
        $testNode    = self::$dom->addNode('testNode');
        // в узле testNode создаем узел subTestNode
        $subTestNode = $testNode->addNode('subTestNode');
        // в узле subTestNode создаем атрибут name с значением "значение атрибута name"
        $subTestNode->addAttr('name', 'значение атрибута name');
        
        // получаем весь дом целиком
        ?><xmp><?
        var_dump(self::$dom->getDom());
        ?></xmp><?
    }
}
